> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clinkbill.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Agent Payment Session

> Create agent payment session



## OpenAPI

````yaml POST /order/payment-session
openapi: 3.1.0
info:
  title: Clink API
  description: >-
    Official API documentation for Clink's payment processing platform. This API
    enables merchants to create and manage payment sessions, handle
    subscriptions, and process transactions.
  version: 1.0.0
servers:
  - url: https://uat-api.clinkbill.com/api/
security:
  - ApiKeyAuth: []
    timestamp: []
paths:
  /order/payment-session:
    post:
      tags:
        - Agent Payment Session
      summary: Create agent payment session
      description: Create agent payment session
      operationId: createSession
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentChargeSessionBo'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/RAgentChargeSessionCreateVo'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                type: string
components:
  schemas:
    AgentChargeSessionBo:
      required:
        - amount
        - currency
        - customerEmail
      type: object
      properties:
        customerEmail:
          type: string
        amount:
          minimum: 0.5
          exclusiveMinimum: false
          type: number
        currency:
          type: string
    RAgentChargeSessionCreateVo:
      type: object
      properties:
        code:
          type: integer
          format: int32
        msg:
          type: string
        data:
          $ref: '#/components/schemas/AgentChargeSessionCreateVo'
    AgentChargeSessionCreateVo:
      type: object
      properties:
        sessionId:
          type: string
        expireTime:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your secret API key obtained from the Clink dashboard (Developers
        section)
    timestamp:
      type: apiKey
      in: header
      name: X-Timestamp
      description: >-
        Current timestamp in milliseconds since Unix epoch (required for request
        signing)

````